﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="bo"
    elementFormDefault="qualified"
    xmlns:xs="http://www.w3.org/2001/XMLSchema">

  <xs:include schemaLocation="ViewModel.Globals.xsd"/>

  <xs:simpleType name="eventName">
    <xs:restriction base="xs:string">
      <xs:pattern value="Before.+|After.+"/>
    </xs:restriction>
  </xs:simpleType>

  <xs:complexType name="elementEvent">
    <xs:sequence minOccurs="0" maxOccurs="1">
      <xs:element name ="Description">
        <xs:simpleType>
          <xs:restriction base="xs:string"/>
        </xs:simpleType>
      </xs:element>
    </xs:sequence>
    <xs:attribute name="Name" type="eventName" use="required"/>
    <xs:attribute name="EventArgsType" type="xs:string" use="required"/>
  </xs:complexType>

</xs:schema>
